%define name iwlwifi-3945-ucode
%define version 2.14.1.5
%define release %mkrel 1

Summary: Intel PRO/Wireless 3945ABG/BG microcode
Name: %{name}
Epoch: 1
Version: %{version}
Release: %{release}
Source: http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-%{version}.tgz
License: Proprietary
Group: System/Kernel and hardware
Url: http://intellinuxwireless.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The file iwlwifi-3945-1.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 3945ABG/BG Network
Connection Adapter driver for Linux (iwl3945) to be able to operate
on your system.

%prep
%setup -q
chmod -x *

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.* README.*
/lib/firmware/*.ucode


%changelog
* Thu Aug 21 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.14.1.5-1mdv2009.0
+ Revision: 274473
- Remove old 2.14.4 firmware from the package. Today there should be no
  users of it, since 2008.1 all kernels only use the '-1' ucode version
  (also 2008.0 kernel, but some contrib kernel or external 'old' iwlwifi
  build could still use the old firmware); there is still a possibility
  that there is someone running old kernels with an iwlwifi that
  requires this old firmware in 2008.1 or cooker, but this is unlinkely
  and unsupported. And with this also we can cleanup and fix the package
  to report/use the right version now.

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.14.4-3mdv2009.0
+ Revision: 241594
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.14.4-2mdv2008.0
+ Revision: 68006
- Added additional firmware needed by iwlwifi development drivers and
  current mandriva kernel.

* Tue Jul 03 2007 Olivier Blin <oblin@mandriva.com> 2.14.4-1mdv2008.0
+ Revision: 47520
- initial iwlwifi-3945-ucode package
- Create iwlwifi-3945-ucode

